public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/gnote/
Date: Sun,  8 Oct 2023 11:51:40 +0000 (UTC)	[thread overview]
Message-ID: <1696765872.c25cf375a239d5169779252065da56d8dea31996.pacho@gentoo> (raw)

commit:     c25cf375a239d5169779252065da56d8dea31996
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Mon Sep 25 23:38:25 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct  8 11:51:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c25cf375

app-misc/gnote: Version bump to 45.0

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/33061
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-misc/gnote/Manifest          |  1 +
 app-misc/gnote/gnote-45.0.ebuild | 63 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/app-misc/gnote/Manifest b/app-misc/gnote/Manifest
index 8393393fcf44..37f68afc9c70 100644
--- a/app-misc/gnote/Manifest
+++ b/app-misc/gnote/Manifest
@@ -1,2 +1,3 @@
 DIST gnote-44.1.tar.xz 3330072 BLAKE2B ff86fa34bdfff61eceb25abef1c73377f888082e70e539172849bf9425eada1c11000c1a75f69eb74fdbc2fc6d45ad3c58c843bf769279a026dd5298a07abc68 SHA512 89364d161d6ecc11822b89dec0353d0e20bc08d883573f324e4980ff2420361ddeb326213eb668fba4ce8de7d5d9668a1a058666ad2b81658ef94f8a65b87363
+DIST gnote-45.0.tar.xz 3247716 BLAKE2B d3a31be5d9e84aaee4af5d22733e4bc14aaf844e31d488cbe9fb8d0b516815a3db5af00052a2a44c9cc07e2397a73b23cb036933c9b795caf54d1a156e0d16b9 SHA512 d06c128238d4f29d5bc0fb3bf3b1473000df5a4d860406ad0680b159cfacae259dd6dfbf6984e8772c3bcf485776e5ca423436f964c260594862949dcda2ea88
 DIST gnote-45.rc.tar.xz 3273864 BLAKE2B 8ab5340e0659c4119c279dd1130fd1a591dd496c8eb96cbfe8171f02192a86a5a3cf6b8c075fd195373885271585c1e6ece1af8fdeb0b75442ddc911b29a7b6f SHA512 cb7b8b47ee724f206258b2dd72fb79c5da45c1f3bd1eca754adc57e8f6f9620a98c56d96867ed455511b78d6dac0d6ecac6968bb29e1964aeac233ff191c6072

diff --git a/app-misc/gnote/gnote-45.0.ebuild b/app-misc/gnote/gnote-45.0.ebuild
new file mode 100644
index 000000000000..62d3c9902709
--- /dev/null
+++ b/app-misc/gnote/gnote-45.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2 meson readme.gentoo-r1
+
+DESCRIPTION="Desktop note-taking application"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gnote"
+
+LICENSE="GPL-3+ FDL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	>=dev-libs/glib-2.74:2[dbus]
+	>=dev-cpp/glibmm-2.74:2.68
+	>=dev-cpp/gtkmm-4.0.0:4.0
+	>=app-crypt/libsecret-0.8
+	>=dev-libs/libxml2-2:2
+	dev-libs/libxslt
+	>=sys-apps/util-linux-2.16
+	test? ( dev-libs/unittest++ )
+"
+RDEPEND="${DEPEND}
+	gnome-base/gsettings-desktop-schemas
+"
+BDEPEND="
+	dev-util/itstool
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+
+	# Build system requires UnitTest++ >=1.5.1, but the .pc file doesn't
+	# specify a version
+	sed -i -e "/UnitTest++/ s/version: [^,]*,//" meson.build || die
+	if ! use test; then
+		sed -i -e "/unit_test_pp/ s/ = .*/ = disabler()/" meson.build || die
+	fi
+
+	if has_version net-fs/wdfs; then
+		DOC_CONTENTS="You have net-fs/wdfs installed. app-misc/gnote will use it to
+		synchronize notes."
+	else
+		DOC_CONTENTS="Gnote can use net-fs/wdfs to synchronize notes.
+		If you want to use that functionality just emerge net-fs/wdfs.
+		Gnote will automatically detect that you did and let you use it."
+	fi
+}
+
+src_install() {
+	meson_src_install
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2023-10-08 11:51 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-08 11:51 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-30  7:15 [gentoo-commits] repo/gentoo:master commit in: app-misc/gnote/ Pacho Ramos
2024-07-16  8:48 Pacho Ramos
2024-07-16  8:48 Pacho Ramos
2024-07-16  8:48 Pacho Ramos
2024-05-06  7:09 Mart Raudsepp
2024-04-28 19:11 Ionen Wolkens
2024-04-01 20:53 Mart Raudsepp
2024-04-01 20:53 Mart Raudsepp
2024-03-09 23:15 Mart Raudsepp
2023-10-08 11:51 Pacho Ramos
2023-09-17 22:27 Matt Turner
2023-09-10 23:48 Matt Turner
2023-07-21 22:55 Matt Turner
2023-05-06 11:34 Sam James
2023-05-02 18:23 Arthur Zamarin
2023-05-02 18:23 Arthur Zamarin
2023-03-19 23:38 Matt Turner
2023-02-06  2:40 Matt Turner
2022-10-29 23:25 Matt Turner
2022-10-29 22:33 Matt Turner
2022-10-06  2:03 Matt Turner
2022-09-01  2:25 Matt Turner
2022-04-03 18:45 Matt Turner
2021-12-21  3:39 Yixun Lan
2021-06-26  1:34 Sam James
2021-06-15 19:33 Matt Turner
2021-05-02 15:01 Matt Turner
2021-04-12 21:59 Matt Turner
2021-04-12 21:59 Matt Turner
2021-01-31 17:54 Mart Raudsepp
2020-07-15  9:05 Mart Raudsepp
2020-07-04 15:07 Mart Raudsepp
2020-06-02 22:21 Mart Raudsepp
2019-05-18 19:59 Mart Raudsepp
2018-11-19 15:58 Gilles Dartiguelongue
2018-01-27  9:38 Mart Raudsepp
2018-01-18  1:49 Mikle Kolyada
2017-08-27 17:57 Gilles Dartiguelongue
2017-08-09 22:58 Gilles Dartiguelongue
2017-04-02 13:03 Mart Raudsepp
2017-02-15 16:57 Mart Raudsepp
2017-01-04 22:37 Gilles Dartiguelongue
2016-10-19 22:02 Gilles Dartiguelongue
2016-10-08  9:51 Pacho Ramos
2016-06-24 20:44 Pacho Ramos
2016-06-24 20:44 Pacho Ramos
2016-06-19 20:46 Alexandre Rostovtsev
2015-09-07 16:24 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1696765872.c25cf375a239d5169779252065da56d8dea31996.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox